import { InlineTranslation } from "@smallstack/i18n-shared";
import { FrontendTypeRegistry } from "@smallstack/typesystem-client";
import { NoteStore, ProjectUserStore } from "@smallstack/user-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export interface TimelineElement {
    icon: string;
    title: InlineTranslation;
    text: InlineTranslation;
    timestamp: number;
    badges?: string[];
}
export declare class TimelineWidgetComponent extends BaseWidgetComponent {
    private noteStore;
    private projectUserStore;
    private typeRegistry;
    protected elements$: Observable<TimelineElement[]>;
    protected showPrivates: boolean;
    constructor(noteStore: NoteStore, projectUserStore: ProjectUserStore, typeRegistry: FrontendTypeRegistry);
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimelineWidgetComponent, "smallstack-timeline-widget", never, {}, {}, never, never, false, never>;
}
