import { HttpClient } from "@angular/common/http";
import { OnInit } from "@angular/core";
import { ActivatedRoute, Router } from "@angular/router";
import { CountUpOptions, TokenService } from "@smallstack/common-components";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class ExternalCountWidgetComponent extends BaseWidgetComponent implements OnInit {
    private router;
    private route;
    private httpClient;
    private tokenService;
    static configuration: WidgetConfigurationSchema;
    countUp: number;
    countString: string;
    enableCountUp: boolean;
    link: string;
    options: CountUpOptions;
    private serviceToken;
    constructor(router: Router, route: ActivatedRoute, httpClient: HttpClient, tokenService: TokenService);
    ngOnInit(): void;
    widgetClick(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExternalCountWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExternalCountWidgetComponent, "external-count-widget", never, {}, {}, never, never, false, never>;
}
