import { OnInit } from "@angular/core";
import { MicrosoftService } from "@smallstack/form-components";
import { SchemaFormSchema } from "@smallstack/form-shared";
import { NotificationService } from "@smallstack/i18n-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
interface MicrosoftFile {
    id: string;
    folder: string;
    webUrl: string;
    name: string;
    size: number;
    createdBy: any;
}
export declare class Microsoft365FilesWidgetComponent extends BaseWidgetComponent implements OnInit {
    private microsoftService;
    private notificationService;
    drivePath: string;
    itemId: string;
    currentItemId: string;
    isLoading: boolean;
    error: string;
    files: MicrosoftFile[];
    static getConfiguration(): SchemaFormSchema;
    constructor(microsoftService: MicrosoftService, notificationService: NotificationService);
    ngOnInit(): void;
    canGoParent(): boolean;
    openParentItem(): () => Promise<void>;
    openFile(file: MicrosoftFile): () => Promise<void>;
    openInSharepoint(): () => Promise<void>;
    private loadCurrentFiles;
    static ɵfac: i0.ɵɵFactoryDeclaration<Microsoft365FilesWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Microsoft365FilesWidgetComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
